Summary:	Gringotts, an electronic strongbox
Name:		gringotts
Version:	1.2.1
Release:	1
Copyright:	GPL
Group:		Utilities
Source:		%{name}-%{version}.tar.bz2
URL:		http://devel.pluto.linux.it/projects/Gringotts/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2, bash, popt, textutils, libgringotts >= 1.1.1
BuildPrereq:gtk2-devel, popt, textutils, libgringotts-devel >= 1.1.1, pkgconfig
Prefix:		/usr
Vendor:		Germano Rizzo <mano@pluto.linux.it>
Packager:	Germano Rizzo <mano@pluto.linux.it>

%description
Gringotts is a small but (hopely ;) useful utility that stores sensitive
data (passwords, credit card numbers, girlfriends' addresses) in an
organized, optimized and most of all very secure form.
It uses libGringotts to provide a strong level of encryption, just aiming
to be as trustworthy as possible.

%prep
%setup
%build

CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS $GRG_COMPILE_FLAGS --prefix=%{prefix}

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo -----------------------------------------------------
echo   md5sum of %{prefix}/bin/gringotts
echo
md5sum %{prefix}/bin/gringotts|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------
echo

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS NEWS TODO COPYING BUGS FAQ

%attr( 4755, root, root ) %{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/pixmaps/gringotts.xpm
%{prefix}/share/gnome/apps/Utilities/gringotts.desktop

%changelog
* Thu Oct 03 2002 Mano <mano@pluto.linux.it>
- the libraries are now in another package

* Wed Sep 18 2002 James Antill <james@and.org>
- moved configure to %build stage

* Sat Jun 15 2002 Mano <mano@pluto.linux.it>
- added SUID bit to the executable

* Fri Jun 14 2002 Mano <mano@pluto.linux.it>
- added md5sum display for the library, too
- moved libgringotts.so in the libs package
- added popt and textutils (for md5sum) requirement

* Thu Jun 06 2002 Mano <mano@pluto.linux.it>
- added the md5sum display

* Sun May 19 2002 Mano <mano@pluto.linux.it>
- added the libgringotts.pc file

* Thu May 16 2002 Mano <mano@pluto.linux.it>
- added version to gringotts-libs requirement

* Wed May 15 2002 Mano <mano@pluto.linux.it>
- added ldconfig invocation on (un)installation

* Sun May 12 2002 Mano <mano@pluto.linux.it>
- forked the application in three packages
- added dependency to libbz2

* Sun May 05 2002 Mano <mano@pluto.linux.it>
- removed UPX compression, it was giving some problems

* Wed Apr 10 2002 Mano <mano@pluto.linux.it>
- added dependency to bash

* Wed Apr 03 2002 Mano <mano@pluto.linux.it>
- adapted to new sh+exe pattern

* Wed Mar 20 2002 Mano <mano@pluto.linux.it>
- added .desktop file

* Sat Mar 16 2002 Mano <mano@pluto.linux.it>
- added the upx compression
- based on the bzip2 archive

* Sun Mar 10 2002 Mano <mano@pluto.linux.it>
- first spec file, based on the gnomermind one
